# OpalLineInterfaceDevice::DialParams Struct Reference

`#include <lid.h>`

## Public Member Functions

| DialParams ()

## Data Fields

bool | m_requireTones
| Require dial/ring tone to be detected.
unsigned | m_dialToneTimeout
| Time in msec to wait for a dial tone to be detected.
unsigned | m_dialStartDelay
| Time in msec to wait between the dial tone detection and dialing the DTMF.
unsigned | m_dialDigitTime
| Time in msec to play DTMF digit.
unsigned | m_dialInterDigitTime
| Time in msec of silence between each DTMF digit.
unsigned | m_progressTimeout
| Time in msec to wait for a progress tone (ring, busy or connected) to be detected.
unsigned | m_commaDelay
| Time in msec to wait when a comma (',') is found in the dial string.

## Detailed Description

Structure for dialling parameters

## Constructor & Destructor Documentation

OpalLineInterfaceDevice::DialParams::DialParams | ( |  | ) | `[inline]`

## Field Documentation

unsigned OpalLineInterfaceDevice::DialParams::m_commaDelay

Time in msec to wait when a comma (',') is found in the dial string.

unsigned OpalLineInterfaceDevice::DialParams::m_dialDigitTime

Time in msec to play DTMF digit.

unsigned OpalLineInterfaceDevice::DialParams::m_dialInterDigitTime

Time in msec of silence between each DTMF digit.

unsigned OpalLineInterfaceDevice::DialParams::m_dialStartDelay

Time in msec to wait between the dial tone detection and dialing the DTMF.

unsigned OpalLineInterfaceDevice::DialParams::m_dialToneTimeout

Time in msec to wait for a dial tone to be detected.

unsigned OpalLineInterfaceDevice::DialParams::m_progressTimeout

Time in msec to wait for a progress tone (ring, busy or connected) to be detected.

bool OpalLineInterfaceDevice::DialParams::m_requireTones

Require dial/ring tone to be detected.

The documentation for this struct was generated from the following file:

- lid.h